Download it now!
Bug 57362 - Cannot save document after editing footer background and border
Summary: Cannot save document after editing footer background and border
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.3.2 release
Hardware: All All
: low minor
Assignee: Christopher Copits
URL:
Whiteboard: target:4.1.0
Keywords: needsDevEval
Depends on:
Blocks:
 
Reported: 2012-11-21 10:04 UTC by Samuel Mehrbrodt (CIB)
Modified: 2015-12-18 10:17 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2012-11-21 10:04:43 UTC
Steps to reproduce:
1. Create a Writer document with Header and save it
2. Go to Header->Border and Background (blue button) and change anything there
3. Try to save

The save button is not sensitive, so you need to change something else in order to save the document.
Comment 1 Samuel Mehrbrodt (CIB) 2012-11-21 10:05:54 UTC
This is also the case in 3.5 and (probably) 3.6.
Comment 2 Joel Madero 2012-12-06 18:37:34 UTC
Can you clarify step 2? What I did (and couldn't reproduce)

1. Did your step
2. Went into styles and formatting, right clicked on Header and changed background color
3. Saved successfully

I suspect I am missing what step 2 is, if you can just clarify that'll help.
Comment 3 Samuel Mehrbrodt (CIB) 2012-12-06 20:23:32 UTC
You need to go via the blue button below the Header. Choose "Border and Background" via that button and then change anything there.

Thanks for testing this.
Comment 4 Joel Madero 2012-12-06 20:28:08 UTC
ah I see. Confirmed.

Marking as NEW (confirmed)

Changing Priority: 

Minor: Doesn't prevent high quality work, just an inconvenience under specific circumstances

Low: Only happens in one situation (changing color going through the blue header dialog that appears). Also very easy workarounds (just add/delete a character and save). 

Whiteboard: ProposedEasyHack I don't think that this will be too hard to fix

Thanks for the update and for helping us out!
Comment 5 Christopher Copits 2013-03-01 01:06:30 UTC
I will look into fixing this.
Comment 6 Christopher Copits 2013-03-10 22:15:20 UTC
Patch submitted for review.

To reproduce:
-------------
1. Open writer and create a header with Insert > Header > Default Style.
2. Type something into the header and save.
3. Click anywhere in the header and then click the blue button's dropdown arrow.
4. Click "Border and Background".
5. Change something.
6. Observe that the floppy disk (save) icon on the toolbar is not enabled.

To test:
--------
1. Open writer and create a header with Insert > Header > Default Style.
2. Type something into the header and save.
3. Click anywhere in the header and then click the blue button's dropdown arrow.
4. Click "Border and Background".
5. Change something.
6. Observe that the floppy disk (save) icon on the toolbar is now enabled.

What I changed:
---------------

In HeaderFooterWin.cxx's SwHeaderFooterWin::ExecuteCommand(): after changes are made to the header's background, box, or shadow, I call SetModified(true) to signal that the document was modified.
Comment 7 Commit Notification 2013-03-11 09:27:35 UTC
Christopher Copits committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=38a022ce8b2698ef4535d3487326307928c5208b

fdo#57362 Cannot save document after editing footer background and border



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Samuel Mehrbrodt (CIB) 2013-03-11 10:16:59 UTC
Thanks for fixing this :)
Comment 9 Robinson Tryon (qubit) 2015-12-18 10:17:24 UTC
Migrating Whiteboard tags to Keywords: (ProposedEasyHack -> needsDevEval)
[NinjaEdit]